# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    install_exe_if_needed('JabraDirectSetup.exe',
        silentflags='/install /quiet /norestart',
        name="^Jabra Direct$",
        min_version=control.get_software_version(),
    )

    for soft in installed_softwares('Jabra Direct'):
        if not soft['key'] in uninstallkey:
            uninstallkey.append(soft['key'])




